function showNotification()
{
	if (window.Notification === undefined) 
	{
		$('body').append('<h4 style="color:#009fe0">*Browser does not support Web Notification</h4>');
		return;
	}
	if (Notification.permission !== "granted")
	{
		Notification.requestPermission();
		console.info('User has not provided permission to display notifications.');
	}
	else 
	{
		//console.info('Processing push notification with ID '+sablePushID);
		$.ajax({
					url : "/lib/get_push_notifications.php",
					type: "POST",
					data: {'sablePushID': sablePushID},
					success: function(data, textStatus, jqXHR) 
					{
						var jData = jQuery.parseJSON(data);
						var good = (parseInt(jData.result) > 0) ? true : false;
						if (good)
						{
							//console.log('inside push notification...');
							for (var i = jData.notif.length - 1; i >= 0; i--)
							{
								var opts = 
								{
									body: jData.notif[i].msg, 
									icon: jData.notif[i].icon,
									badge: jData.notif[i].badge, 
									vibrate:[100,50,100], 
									silent:false,
									data: { url:jData.notif[i].url},
									actions: [{action: "open_url", title: "Open Now"}]
								};
								/*
								var notifikasi = new window.Notification(jData.notif[i]['title'], opts);
								//console.log(notifikasi);

																
								*/
								notifikasi.onclick = function ()
								{
									window.open(theurl);
									notifikasi.close();
								};								
								navigator.serviceWorker.ready.then(function(registration){registration.showNotification(jData.notif[i].title, opts);});
								setTimeout(function(){notifikasi.close();}, 5000);
							};							
						}
					},
					error: function(jqXHR, textStatus, errorThrown){}
				});
	}
};